<!DOCTYPE html>
<html ng-app="rakhat-project">

<head>
    <meta charset="utf-8" />
    <title>Product List</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.angularjs.org/1.5.8/angular.js"></script>
    <script src="app.js"></script>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="style.css" rel="stylesheet">
</head>
<style>
    .top{
        background-image: url("https://img.freepik.com/free-vector/chocolate-background-3d-realistic-vector_163454-172.jpg?size=626&ext=jpg");
        background-repeat: no-repeat;
        background-size: 100% 100%;
    }
</style>
<body ng-controller="ProductCtrl">
<div class="top" style="text-align: center;">
    <img alt= "logo" src="http://www.rakhat.kz/app/themes/rahkat/assets/images/logo.png">
    <h1 style="color:  #ffcc00;font-size: 30px;font-weight: bold">It tastes better with us!</h1>
    <h3 style="color:  #ffcc00;font-size: 15px;font-weight: bold">Traditions since 1942</h3>
    <br>
</div>
<div class="menu">
    <ul>
        <li>
            <div class="col-lg-6">
        <li><input ng-model="auth.username" type="text" placeholder="enter login" class="form-control form-control-lg inverse-mode" /></li>
        <li><input ng-model="auth.password"  type="password" placeholder="enter password" class="form-control form-control-lg inverse-mode" /></li>
        <div class="login-buttons">
            <button ng-click="login(auth)" type="submit" class="btn btn-success btn-block btn-lg">Login</button>
        </div>
        </li>
        <li><p><a href="login.html">login as admin</a></p></li>
        </li>
    </ul>
</div>


<div class="container">
    <h1>Hello {{customer.fullname}}</h1>

    <div class="row">
        <div class="col-log-12">
            <div id="options" class="m-b-10">
                <span class="gallery-option-set" id="filter" data-option-key="filter">
                    <button type="button" class="btn btn-warning" ng-repeat="category in categoryList" ng-click="getProductsByCategory(category.id)">{{category.name}}</button>
                </span>
            </div>
        </div>
    </div>


    <h3>Product List</h3>
    <div class="row">
        <table class="table table-bordered table-striped table-condensed">
            <thead>
            <th>ID</th>
            <th>name</th>
            <th>description</th>
            <th>weight</th>
            <th>unit</th>
            <th>composition</th>
            <th>categoryID</th>
            <th>price</th>
            <th>stock</th>
            <th></th>
            <th></th>
            </thead>
            <tr ng-repeat="product in productList | orderBy: 'id'">
                <td ng-bind="product.id"></td>
                <td ng-bind="product.name"></td>
                <td ng-bind="product.description"></td>
                <td ng-bind="product.weight"></td>
                <td ng-bind="product.unit"></td>
                <td ng-bind="product.composition"></td>
                <td ng-bind="product.categoryId"></td>
                <td ng-bind="product.price"></td>
                <td ng-bind="product.stock"></td>
                <td ng-if="product.stock > 0" ng-click="incrementProduct(product)"><button class="btn btn-success btn-md"> Add to cart </button></td>
                <td ng-if="product.stock > 0" ng-click="decrementProduct(product)"><button class="btn btn-danger btn-md"> Delete from cart </button></td>
            </tr>
        </table>
        <p>{{mess}}</p>
        <button ng-click="sendOrders()" type="button" class="btn btn-success btn-block btn-lg"> Send the order </button>
    </div>

    <div>
        <table class="table">
            <thead>
            <th>ID</th>
            <th>Price</th>
            <th>Quantity</th>
            </thead>
            <tr ng-repeat="p in orderItemList">
                <td ng-bind="p.productID"></td>
                <td ng-bind="p.price"></td>
                <td ng-bind="p.quantity"></td>
            </tr>
            <tr ng-bind="totalPrice"></tr>
        </table>
    </div>

    <div>
        <button ng-if="auth" class="btn btn-warning btn-block btn-lg" ng-click="myOrders()">My Orders</button>
        <div ng-if="myOrderList" ng-repeat="orders in myOrderList">
            <table class="table" >
            <thead>
            <th>Product</th>
            <th>Quantity</th>
            <th>Weight</th>
            <th>Price</th>
            </thead>
            <tr ng-repeat="p in orders.orderItemList">
                <td ng-bind="p.product.name"></td>
                <td ng-bind="p.quantity"></td>
                <td ng-bind="p.weight"></td>
                <td ng-bind="p.price"></td>
            </tr>

        </table>
            <span>Status: </span><span ng-bind="orders.status"></span><br>
            <span>Total Price: </span><span ng-bind="orders.totalPrice"></span>
            <br>
            <br>
            <br>

        </div>


    </div>
</div>
</body>

</html>
